<div mat-subheader>Unobservable property</div>

<div id="contents">
    <app-metadata-area [serverUuid]="server.serveruuid!" [feature]="feature" [item]="property"></app-metadata-area>
    <button mat-raised-button color="primary" (click)="getPropertyValue()">Get property value</button>
    <app-property-value-area [hidden]="!propertyAreaVisible" [feature]="feature" [property]="property"></app-property-value-area>
    <app-error-area [hidden]="!errorAreaVisible" [definedExecutionErrors]="feature.definedExecutionErrors || []"></app-error-area>
</div>
